# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	HTTP-SimpleLinkChecker module for perl 
Name:		perl-HTTP-SimpleLinkChecker
Version:	1.16
Release:	2.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/HTTP-SimpleLinkChecker/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/HTTP-SimpleLinkChecker-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(Exporter)
BuildRequires:	perl(HTTP::Request) >= 1.28
BuildRequires:	perl(HTTP::Status)
BuildRequires:	perl(LWP::UserAgent) >= 1.09
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Test::Prereq)
Requires:	perl(Exporter)

%description
You don't have to know anything about objected-oriented Perl, LWP,
or the HTTP module to be able to check your links. This module is
designed for the casual user. It has one function, check_link,
that returns the HTTP response code that it receives when it tries
to fetch the web address passed to it. The undef value is returned
for any failure and the $HTTP::SimpleLinkChecker::ERROR variable is set.

The HEAD method is tried first, although if anything other than a
good status code (those less than 400) is received, another request
is made with the GET method.

%prep
%setup -q -n HTTP-SimpleLinkChecker-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{_bindir}/http_status
%{_mandir}/man1/http_status.1*
%{_mandir}/man3/HTTP::SimpleLinkChecker.3*
%{perl_vendorlib}/HTTP/

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.16-2
- Rebuild for perl 5.12.1 in Rawhide

* Mon May 24 2010 Paul Howarth <paul@city-fan.org> 1.16-1
- Update to 1.16 (fix 403 status test - CPAN RT#57584)
- Drop patch for 403.t, no longer needed

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> 1.15-5
- Fix dist tag for RHEL-6 Beta
- Add patch for 403.t to use a working URL

* Fri Feb 12 2010 Paul Howarth <paul@city-fan.org> 1.15-4
- Drop explicit perl-libwww-perl dep and req/buildreq specific perl modules
- BR/Req perl(Exporter), used in "use base" clause
- Dist tag for Rawhide no longer needs special-casing

* Thu Jun 25 2009 Paul Howarth <paul@city-fan.org> 1.15-3
- Define RPM macros in global scope

* Tue Mar 11 2008 Paul Howarth <paul@city-fan.org> 1.15-2
- Rebuild for perl 5.10.0 on Fedora 9

* Mon Dec 10 2007 Paul Howarth <paul@city-fan.org> 1.15-1
- Update to 1.15
- httpstatus renamed to http_status

* Tue Nov 27 2007 Paul Howarth <paul@city-fan.org> 1.14-1
- Update to 1.14
- Add binary and manpage for httpstatus

* Wed Nov  7 2007 Paul Howarth <paul@city-fan.org> 1.13-2
- Fix dist tag for Fedora 7 onwards
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 1.13-1
- Update to 1.13
- Include LICENSE file

* Tue Jan  2 2007 Paul Howarth <paul@city-fan.org> 1.11-1
- Update to 1.11
- Fix argument order for find with -depth
- Add buildreqs perl(Test::Pod) and perl(Test::Pod::Coverage) for better test cover

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 1.10-2
- Fix distribution tags for development releases
- Use search.cpan.org URL

* Thu Jun  8 2006 Paul Howarth <paul@city-fan.org> 1.10-1
- Update to 1.10
- Simplify distribution-detection code
- Define %%{__id_u} in a more portable way
- Remove macros %%{__perl_package} and %%{__perl_version}
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Add Test::Prereq as an additional buildreq for improved test cover

* Fri Jul  8 2005 Paul Howarth <paul@city-fan.org> 1.09-1
- Update to 1.09
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Fri Apr  1 2005 Paul Howarth <paul@city-fan.org> 1.08-1
- Update to 1.08

* Wed Feb  9 2005 Paul Howarth <paul@city-fan.org> 1.07-1
- Update to 1.07

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.06-1
- Update to 1.06
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.04-1
- Initial build
